API Reference / Predefined Item Groups
/predefined_item_groups Create a new predefined item group
Creates a predefined item group. name is required and must be unique on the account, and items_ids lists the predefined items to bundle (up to 200). The group's cost and price are derived from its members.
Request body
namestringName of the predefined item group
deal_itemsarray<string>List of IDs of the predefined/deal items in the predefined item group
Responses
201 Created
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
predefined_itemobjectA grouping of predefined/deal items. Useful if items can be sold as part of a package or compliment one another
object fields →
idstringbson-idID of the predefined item group
namestringName of the predefined item group
positionintegerint32Position of the group in the list of predefined item groups
countintegerint32Number of predefined items in the predefined item group
item_idsarray<string>List of IDs of the predefined/deal items in the predefined item group
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.